### Method

# Ide Diagnostic get_fixit

#### Declaration

    IdeTextEdit*
    ide_diagnostic_get_fixit (
      IdeDiagnostic* self,
      guint index
    )

#### Description

Gets the fixit denoted by `index`. This value should be less than the value returned from ide_diagnostic_get_n_fixits().

Available since: | 3.32

#### Parameters

`index` | `guint`
| The index of the fixit.

#### Return value

Returns: | `IdeTextEdit`
| An `IdeTextEdit`.
| The data is owned by the instance.
| The return value can be `NULL`.